auth::AuthManager Interface Reference

Authentication manager interface. More...

`import"AuthManager.idl";`

## Public Member Functions

Policy | getPolicy ()
| Gets a policy. More...
int | setPolicy (in Policy p)
| Sets a policy. More...

## Public Attributes

constant int | ERR_UNSUPPORTED_TYPE = 1
| Unsupported authentication type.

## Detailed Description

Authentication manager interface.

## Member Function Documentation

## getPolicy()

Policy auth::AuthManager::getPolicy | ( |  | ) |

Gets a policy.

Returns
  a Policy object

## setPolicy()

int auth::AuthManager::setPolicy | ( | in Policy | p | ) |

Sets a policy.

Returns
  0 on success
  1 in case authentication type is not supported

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/AuthManager.idl